package com.zm.order.tool.server.model;

import com.alibaba.fastjson.JSON;

import java.math.BigDecimal;
import java.util.Date;


/**
 * 宝珠订单信息
 *
 * @author zhuxiaofeng
 */
public class BaoZhu {

    /**
	 * 主键
	 */
	private Long id;
	private String mobile;
	private Long userId;
	private Long storeId;
	private String storeName;
	private Date createdAt;
	private String statusTxt;
	private String payStatusTxt;
	private String itemName;
	private BigDecimal num;
	private BigDecimal itemPrice;
	private BigDecimal price;
	private String orderNo;
	private String sourceNo;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getMobile() {
		return mobile;
	}

	public void setMobile(String mobile) {
		this.mobile = mobile;
	}

	public Long getUserId() {
		return userId;
	}

	public void setUserId(Long userId) {
		this.userId = userId;
	}

	public Long getStoreId() {
		return storeId;
	}

	public void setStoreId(Long storeId) {
		this.storeId = storeId;
	}

	public String getStoreName() {
		return storeName;
	}

	public void setStoreName(String storeName) {
		this.storeName = storeName;
	}

	public Date getCreatedAt() {
		return createdAt;
	}

	public void setCreatedAt(Date createdAt) {
		this.createdAt = createdAt;
	}

	public String getStatusTxt() {
		return statusTxt;
	}

	public void setStatusTxt(String statusTxt) {
		this.statusTxt = statusTxt;
	}

	public String getPayStatusTxt() {
		return payStatusTxt;
	}

	public void setPayStatusTxt(String payStatusTxt) {
		this.payStatusTxt = payStatusTxt;
	}

	public String getItemName() {
		return itemName;
	}

	public void setItemName(String itemName) {
		this.itemName = itemName;
	}

	public BigDecimal getNum() {
		return num;
	}

	public void setNum(BigDecimal num) {
		this.num = num;
	}

	public BigDecimal getItemPrice() {
		return itemPrice;
	}

	public void setItemPrice(BigDecimal itemPrice) {
		this.itemPrice = itemPrice;
	}

	public BigDecimal getPrice() {
		return price;
	}

	public void setPrice(BigDecimal price) {
		this.price = price;
	}

	public String getOrderNo() {
		return orderNo;
	}

	public void setOrderNo(String orderNo) {
		this.orderNo = orderNo;
	}

	public String getSourceNo() {
		return sourceNo;
	}

	public void setSourceNo(String sourceNo) {
		this.sourceNo = sourceNo;
	}

	@Override
    public String toString() {
        return JSON.toJSONString(this);
    }

}
